MiniMax Speech-02-turbo Text to Speech
Audio
MiniMax Speech-02-turbo Text to Speech
POST
MiniMax Speech-02-turbo Text to Speech
This API supports synchronous text-to-speech (TTS) generation, with a maximum input length of 10,000 characters per request. It offers over 100 system and cloned voices, with customizable parameters including volume, pitch, speed, and output format. The API supports proportional voice mixing, fixed interval control, and multiple audio formats such as mp3, pcm, flac, and wav. Streaming output is also supported. When submitting a long-text TTS request, please note that the returned audio URL is valid for 24 hours from the time it is generated. Be sure to download the audio within this period.Documentation Index
Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
The text to be synthesized. The length must be less than 10,000 characters. Use line breaks to separate paragraphs.
To control the pause duration between speech segments, insert
Custom speech pauses between text segments are supported, allowing you to control the timing of pauses in the generated audio.
Note: Pause markers must be placed between two segments that can be pronounced, and multiple consecutive pause markers are not allowed.
To control the pause duration between speech segments, insert
<#x#> between words or sentences, where x is the pause duration in seconds (supports 0.01–99.99, up to two decimal places).Custom speech pauses between text segments are supported, allowing you to control the timing of pauses in the generated audio.
Note: Pause markers must be placed between two segments that can be pronounced, and multiple consecutive pause markers are not allowed.
Required if voice_id is not provided (choose one of the two).
Whether to enable streaming. Default is false, i.e., streaming is disabled.
Enhances recognition of specified minor languages and dialects. Setting this parameter can improve speech performance in the specified language/dialect scenarios. If the minor language type is not clear, you can set it to “auto” and the model will automatically determine the language type. Supported values:
'Chinese', 'Chinese,Yue', 'English', 'Arabic', 'Russian', 'Spanish', 'French', 'Portuguese', 'German', 'Turkish', 'Dutch', 'Ukrainian', 'Vietnamese', 'Indonesian', 'Japanese', 'Italian', 'Korean', 'Thai', 'Polish', 'Romanian', 'Greek', 'Czech', 'Finnish', 'Hindi', 'Bulgarian', 'Danish', 'Hebrew', 'Malay', 'Persian', 'Slovak', 'Swedish', 'Croatian', 'Filipino', 'Hungarian', 'Norwegian', 'Slovenian', 'Catalan', 'Nynorsk', 'Tamil', 'Afrikaans', 'auto'Controls the output format of the result. Optional values are
url and hex. The default is hex. This parameter only takes effect in non-streaming scenarios; in streaming mode, only hex format is supported. The returned URL is valid for 24 hours.Voice FX settings. Supported audio formats for this parameter:
- Non-streaming: mp3, wav, flac
- Streaming: mp3
Response
The synthesized audio segment, encoded in hex and generated in the format specified by
audio_setting.format (mp3/pcm/flac). The return format is determined by the output_format parameter. When stream is true, only hex format is supported.The current status of the audio stream. Returned only when
stream is true. 1 indicates synthesis in progress, 2 indicates synthesis completed.Example
Below is an example of how to use the Minimax Speech-02-turbo synchronous API.- Non-streaming (
streamis false)
Request:
Response:
Audio file:
- Streaming (
streamis true)
Request:
Response: